This is an automated email from the git hooks/post-receive script.

treinen pushed a commit to branch master
in repository why.

commit 740a5afa99fe2656bd859d6457ac4dc5f825927f
Author: Ralf Treinen <trei...@debian.org>
Date:   Sun Jan 19 16:14:24 2014 +0100

    accept alt-ergo 0.95.2, coq 8.4pl2
---
 debian/changelog            |  2 ++
 debian/patches/atp-versions | 25 +++++++++++++++++++++++++
 debian/patches/series       |  1 +
 3 files changed, 28 insertions(+)

diff --git a/debian/changelog b/debian/changelog
index 7586ad6..ae76300 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -12,6 +12,8 @@ why (2.33-1) unstable; urgency=low
   * New patch deprecated-or to replace "or" by "||", needed for more strict
     checks in ocaml 4
   * New patch hashtbl to fix compilation with ocaml 4.01, taken from fedora.
+  * Patch atp-versions: update accepted versions of external provers:
+    alt-ergo, coq
   * Add myself to uploaders.
   * Standards-Version 3.9.5 (no change)
 
diff --git a/debian/patches/atp-versions b/debian/patches/atp-versions
new file mode 100644
index 0000000..a9990b9
--- /dev/null
+++ b/debian/patches/atp-versions
@@ -0,0 +1,25 @@
+Author: Ralf Treinen <trei...@debian.org>
+Description: update accepted versions of external provers
+
+Index: why/tools/dpConfig.ml
+===================================================================
+--- why.orig/tools/dpConfig.ml 2014-01-19 16:44:19.000000000 +0100
++++ why/tools/dpConfig.ml      2014-01-19 16:46:40.000000000 +0100
+@@ -84,7 +84,7 @@
+     version = "";
+     version_switch = "-version";
+     version_regexp = "\\([^ ]*\\)";
+-    versions_ok = ["0.93"; "0.94"];
++    versions_ok = ["0.93"; "0.94"; "0.95.2"];
+     versions_old = ["0.8"; "0.9" ; "0.91"; "0.92.1"; "0.92.2" ];
+     command = "alt-ergo";
+     command_switches = "";
+@@ -223,7 +223,7 @@
+     version_regexp = "The Coq Proof Assistant, version \\([^ ]+\\)";
+     versions_ok = ["8.0"; "8.1";"8.2";"8.2pl1"; 
+                  "8.3pl1"; "8.3pl2";"8.3pl3"; "8.3pl4";
+-                 "8.4"];
++                 "8.4"; "8.4pl2"];
+     versions_old = ["7.4"];
+     command = "coqc";
+     command_switches = "";
diff --git a/debian/patches/series b/debian/patches/series
index 5da5075..e509f90 100644
--- a/debian/patches/series
+++ b/debian/patches/series
@@ -1,2 +1,3 @@
 deprecated-or
 hashtbl
+atp-versions

-- 
Alioth's /usr/local/bin/git-commit-notice on 
/srv/git.debian.org/git/pkg-ocaml-maint/packages/why.git

_______________________________________________
Pkg-ocaml-maint-commits mailing list
Pkg-ocaml-maint-commits@lists.alioth.debian.org
http://lists.alioth.debian.org/cgi-bin/mailman/listinfo/pkg-ocaml-maint-commits

Reply via email to